#pragma once
#ifndef MAINWND_H
#define MAINWND_H

#include <QMainWindow>
#include <QToolButton>
#include <QJsonObject>
#include <QtSql>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlError>
#include "gen_interface.h"
QT_BEGIN_NAMESPACE
namespace Ui {
class MainWnd;
}
QT_END_NAMESPACE

class OriginalWnd;

class MainWnd : public QMainWindow
{
    Q_OBJECT

public:
    MainWnd(QWidget *parent = nullptr);
    ~MainWnd();
    void setChineseMode(QMainWindow *MainWnd);
    void initForm();

protected:
    bool eventFilter(QObject *obj,QEvent *event);
    void setTabIcon(QToolButton* tabBtn, const QString& deepIconPath, const QString& lightIconPath);
signals:
    void setLanguageSignal(const int &data);
private slots:
    void onCurrentWidgetChanged();

    void on_tabHomeBtn_clicked();

    void on_pushButton_clicked();

    void on_tabProductionBtn_clicked();

    void on_tabProgramBtn_clicked();

    void on_tabModuleBtn_clicked();

    void on_tabDispositionBtn_clicked();

    void on_tabDiagnosisBtn_clicked();

    void on_tabSystemBtn_clicked();
    // //从数据库中获取systemconfig表中的信息
    // QJsonObject getInfofromDb();
    // int getLanguageValue();
    // int getThemeValue();
    // void setLanguageValue(int data);
    // void setThemeValue(int data);


private:
    Ui::MainWnd *ui;
    Gen_Interface gen_if;
    OriginalWnd *m_originalWnd;

    bool initialIconSet;
};
#endif // MAINWND_H
